跳轉到主要內容
GET
/
v2
/
dex
Dex - 列表
curl --request GET \
  --url https://api.chainstream.io/v2/dex \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "chain": "sol",
      "image": "https://example.com/dex-logo.png",
      "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "protocolFamily": "Raydium"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
chains
string[]

按區塊鏈網路篩選

dexProgram
string

按 DEX 程式地址篩選

回應

200 - application/json

成功回應

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="